%global url_ver %%(echo %{version} | cut -d. -f1)

Summary:       Bootstrapping your OS
Name:          gnome-initial-setup
Version:       44.0
Release:       2%{?dist}
License:       GPLv2+
URL:           https://wiki.gnome.org/Design/OS/InitialSetup
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:       vendor.conf

BuildRequires: desktop-file-utils gcc meson pkgconfig(accountsservice) pkgconfig(fontconfig) pkgconfig(gdm)
BuildRequires: pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0) pkgconfig(glib-2.0) pkgconfig(gnome-desktop-4)
BuildRequires: pkgconfig(goa-1.0) pkgconfig(goa-backend-1.0) pkgconfig(gsettings-desktop-schemas) pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gtk4) pkgconfig(gweather4) pkgconfig(ibus-1.0) pkgconfig(iso-codes) pkgconfig(geocode-glib-2.0)
BuildRequires: pkgconfig(json-glib-1.0) pkgconfig(krb5) pkgconfig(libadwaita-1) pkgconfig(libgeoclue-2.0)
BuildRequires: pkgconfig(libnma-gtk4) pkgconfig(libnm) pkgconfig(libsecret-1) pkgconfig(pango)
BuildRequires: pkgconfig(polkit-gobject-1) pkgconfig(pwquality) pkgconfig(rest-1.0) pkgconfig(webkitgtk-6.0)
Requires: gdm geoclue2-libs glib2 polkit-js-engine
Requires: /usr/bin/gkbd-keyboard-display
Requires(pre): shadow-utils

Provides: user(%name)

%description
GNOME Initial Setup is an alternative to firstboot, providing a good setup experience to welcome you
to your system, and walks you through configuring it. It is integrated with gdm.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -Dparental_controls=disabled
%meson_build

%install
%meson_install

desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/gnome-initial-setup-copy-worker.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/gnome-initial-setup.desktop

mkdir -p %{buildroot}%{_datadir}/gnome-initial-setup
cp %{SOURCE1} %{buildroot}%{_datadir}/gnome-initial-setup/

%find_lang %{name}

%pre
useradd -rM -d /run/gnome-initial-setup/ -s /sbin/nologin %{name} &>/dev/null || :

%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%{_libexecdir}/gnome-initial-setup
%{_libexecdir}/gnome-initial-setup-copy-worker
%{_libexecdir}/gnome-initial-setup-goa-helper
%{_sysconfdir}/xdg/autostart/gnome-initial-setup-copy-worker.desktop
%{_sysconfdir}/xdg/autostart/gnome-initial-setup-first-login.desktop
%{_sysusersdir}/gnome-initial-setup.conf
%{_userunitdir}/*
%{_datadir}/applications/gnome-initial-setup.desktop
%{_datadir}/gnome-session/sessions/gnome-initial-setup.session
%{_datadir}/gnome-shell/modes/initial-setup.json
%{_datadir}/polkit-1/rules.d/20-gnome-initial-setup.rules
%dir %{_datadir}/gnome-initial-setup
%{_datadir}/gnome-initial-setup/vendor.conf

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 44.0-1
- Upgrade to upstream version 44.0 for webkitgtk 2.41.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 43.1-1
- initial build
